Bug 586221 - There doesn't seem to be an authorization management interface for kde
There doesn't seem to be an authorization management interface for kde
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: polkit-kde (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 02:12 EDT by Andre Eliatamby
Modified: 2011-06-27 11:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Eliatamby 2010-04-27 02:12:48 EDT
Description of problem:
There is no authorization interface for KDE.  This means that I edit the authorizations using the GUI, which is much simpler and nicer than editing the text file.

The GUI used to be in previous versions of Fedora.  The agent works fine

Version-Release number of selected component (if applicable):
polkit-kde 0.95

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andre Eliatamby 2010-04-27 02:13:55 EDT
Sorry there is a small typo.  I mean I *CANNOT* edit the authorizations using the GUI
Comment 2 Jaroslav Reznik 2010-04-27 03:31:42 EDT
There's indeed no Polkit 1 authorization management GUI. Polkit upstream decided it's not necessary and they don't want it/support it. But we're (and mostly Dario Freddi - KDE upstream) currently working on KDE GUI right now - unfortunately it's not finished yet. I hope we'll finish/package it asap.
Comment 3 Kevin Kofler 2010-04-27 08:33:55 EDT
Yes, as Jaroslav is saying, this is being worked on upstream. It's really a RFE, not a bug. There has never been an authorization editor for PolicyKit 1 (not even a GNOME one).
Comment 4 Bug Zapper 2011-06-02 10:49:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 11:53:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.